Bug 39192 - df -l shows SMB mounts.
df -l shows SMB mounts.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-05 02:53 EDT by rakarra
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-20 13:03:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rakarra 2001-05-05 02:53:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; 0.8) Gecko/20010215

Description of problem:
df -l, according to the man page, is supposed to only show local mounts.
However, it currently shows filesystems mounted from Windows machines by
the smbmount command.

How reproducible:
Always

Steps to Reproduce:
1. smbmount a windows filesystem.
2. Run df -l
3.
	

Actual Results:  See above.

Expected Results:  Everything but the SMB filesystems.

Additional info:

I haven't rebooted my machine after manually upgrading to 7.1. I'm still a
hand-compiled 2.2.16 kernel with the international encryption patch. I
doubt that makes much difference though.
Comment 1 Erik Kline 2002-06-20 13:03:00 EDT
What's worse: as of RedHat 7.3, fileutils-4.1-10, strace of df -l shows that it 
stat64's all filesystems in the mtab and then attempts to print just the local 
filesystems. This hangs if there's an NFS mount hang. df -l should only stat 
local filesystems period. Bad algorithm!
Comment 2 Bernhard Rosenkraenzer 2002-08-29 19:43:59 EDT
fileutils 4.1.9-10 explicitly excludes smbfs partitions.

Note You need to log in before you can comment on or make changes to this bug.